Jekyll 3.8.4 | Error: undefined method `data' for nil:NilClass


#1

Can’t seem to locate the issue for this. Just started happening. Anyone seen this type of issue?

  • N

#2

You may want to provide us more details by posting the output from the --trace option:

bundle exec jekyll build --trace

#3

here is the output from running bundle exec jekyll build --trace

[starter]$ bundle exec jekyll build --trace
Configuration file: /Users/ntillman/jk-sites/starter/_config.yml
Source: /Users/ntillman/jk-sites/starter
Destination: /Users/ntillman/jk-sites/starter/_site
Incremental build: enabled
Generating…
bundler: failed to load command: jekyll (/Users/ntillman/.rbenv/versions/2.5.1/bin/jekyll)
NoMethodError: undefined method data' for nil:NilClass /Users/ntillman/jk-sites/starter/_plugins/storyblok_page.rb:18:ininitialize’
/Users/ntillman/jk-sites/starter/_plugins/storyblok_page.rb:53:in new' /Users/ntillman/jk-sites/starter/_plugins/storyblok_page.rb:53:increate_page’ 15)
/Users/ntillman/jk-sites/starter/_plugins/storyblok_page.rb:39:in block in generate' /Users/ntillman/jk-sites/starter/_plugins/storyblok_page.rb:38:ineach’
/Users/ntillman/jk-sites/starter/_plugins/storyblok_page.rb:38:in generate' ndex.js /Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/site.rb:175 :inblock in generate’
/Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/site.rb:173
:in each' :3) /Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/site.rb:173 :ingenerate’
/Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/site.rb:70:
in process' /Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/command.rb:28:inprocess_site’
/Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/commands/build.rb:65:in build' /Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/commands/build.rb:36:inprocess’
/Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/lib/jekyll/commands/build.rb:18:in block (2 levels) in init_with_program' /Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/mercenary-0.3.6/lib/mercenary/command.rb:220:inblock in execute’
/Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/mercenary-0.3.6/lib/mercenary/command.rb:220:in each' /Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/mercenary-0.3.6/lib/mercenary/command.rb:220:inexecute’
/Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/mercenary-0.3.6/lib/mercenary/program.rb:42:in go' /Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/mercenary-0.3.6/lib/mercenary.rb:19:inprogram’
/Users/ntillman/.rbenv/versions/2.5.1/lib/ruby/gems/2.5.0/gems/jekyll-3.8.4/exe/jekyll:15:in <top (required)>' /Users/ntillman/.rbenv/versions/2.5.1/bin/jekyll:23:inload’
/Users/ntillman/.rbenv/versions/2.5.1/bin/jekyll:23:in `<top (required)>’


#4

Please always specify your context when asking for help, here it looks like you’re using a plugin for Storyblok CMS.